<template>
  <div class="workspace-manager d-flex flex-grow-1 flex-row">
    <workspace-main v-for="workspace in workspaces" :key="workspace.id" :workspaceId="workspace.id"></workspace-main>
  </div>
</template>

<script>
import { CREATE_WORKSPACE } from '@/workspace/store/mutations'
import WorkspaceMain from '@/workspace/WorkspaceMain'

export default {
  name: 'workspacemanager',

  computed: {
    workspaces: {
      get() {
        return this.$store.getters.workspaces
      }
    },
  },

  created() {
    if(this.$store.getters.workspaceCount < 1) {
      this.$store.commit(CREATE_WORKSPACE)
    }
  },

  components: {
    WorkspaceMain,
  },
}
</script>
